# Generated from multimedia_paradise-1.1.318.gem by gem2rpm -*- rpm-spec -*-
%global gem_name multimedia_paradise

Name: rubygem-%{gem_name}
Version: 1.1.318
Release: 1%{?dist}
Summary: This project is a collection of video- and audio-related scripts - multimedia-related actions, such as cutting audio files, merging video files, listening to online-stream radio and so forth.  Most of the functionality depends on external projects such as ffmpeg, mpv or sox, so consider installing these projects if you have not already done so. (They should work on windows fine as well.)  For more information about this project, please consider having a look at the official documentation (at https://www.rubydoc.info/gems/multimedia_paradise/ or just click on the link called Documentation, at the homepage of this gem at https://rubygems.org/gems/multimedia_paradise/  respectively at https://www.rubydoc.info/gems/multimedia_paradise/ )
License: GPL-2.0
URL: https://rubygems.org/gems/multimedia_paradise
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 3.4.10
BuildRequires: ruby >= 2.7.6
BuildArch: noarch

%description
This project is a collection of video- and audio-related scripts -
multimedia-related actions, such as cutting audio files,
merging video files, listening to online-stream radio and so
forth.
Most of the functionality depends on external projects such as
ffmpeg, mpv or sox, so consider installing these projects if you
have not already done so. (They should work on windows fine
as well.)
For more information about this project, please consider having
a look at the official documentation (at
https://www.rubydoc.info/gems/multimedia_paradise/
or just click on the link called Documentation, at the
homepage of this gem at https://rubygems.org/gems/multimedia_paradise/ 
respectively at https://www.rubydoc.info/gems/multimedia_paradise/ ).
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/audio_player
%{_bindir}/auto_title
%{_bindir}/convert_audio_to_mp4video_with_image
%{_bindir}/cut_audio
%{_bindir}/cut_multimedia
%{_bindir}/extract_audio
%{_bindir}/ffmpeg_merge
%{_bindir}/file_duration
%{_bindir}/gtk_radio
%{_bindir}/loop_this_video
%{_bindir}/merge_avi_files
%{_bindir}/merge_mp3
%{_bindir}/missing_video_files
%{_bindir}/movie_searcher
%{_bindir}/mp3_to_opus
%{_bindir}/mplayer_wrapper
%{_bindir}/multimedia_information
%{_bindir}/multimedia_paradise
%{_bindir}/multimedia_paradise_sinatra
%{_bindir}/play_random_simpsons_video
%{_bindir}/playlist
%{_bindir}/random_video
%{_bindir}/remove_audio
%{_bindir}/remove_last_second
%{_bindir}/remove_subtitles
%{_bindir}/tag_mp3_files
%{_bindir}/to_aiff
%{_bindir}/to_mp4
%{_bindir}/verbose_analyse_this_mp3_file_for_id3_tags
%{_bindir}/video_codec
%{_bindir}/video_information
%{_bindir}/video_player
%{_bindir}/video_to_images
%{_bindir}/vp9
%{_bindir}/waveform
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/doc
%{gem_instdir}/multimedia_paradise.gemspec
%{gem_instdir}/test

%changelog
* Wed Apr 05 2023 mockbuilder - 1.1.318-1
- Initial package
